# Webhooks

Webhook allows you to receive notifications when specific events occur, such as changes to a merchant account or application submission. Instead of repeatedly polling the API for updates, your endpoint receives HTTP requests instantly making your integration more efficient, scalable, and responsive.

For more information on webhooks, refer to the following articles:

* [Prerequisites](/api-reference/webhooks/prerequisites.md)
* [Register Endpoint](/api-reference/webhooks/register-url.md)
* [Webhook Subscriptions](/api-reference/webhooks/webhook-subscriptions.md)
* [Working with Webhooks](/api-reference/webhooks/working-with-webhooks.md)
  * [Transaction Webhook](/api-reference/webhooks/working-with-webhooks/transaction-webhooks.md)
  * [Onboarding Webhooks](/api-reference/webhooks/working-with-webhooks/merchant-onboarding-webhooks.md)
  * [Equipment Tracking & Activation Webhooks](/api-reference/webhooks/working-with-webhooks/equipment-tracking-and-activation-webhooks.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xplorpay.com/api-reference/webhooks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
